//-----------------------------------------------------------------------------
// ƒfƒXƒNƒgƒbƒv
//-----------------------------------------------------------------------------

#ifndef _NWDESKTOP_H_
#define _NWDESKTOP_H_

//-----------------------------------------------------------------------------

class NWDESKTOP: public NWFORM {
	friend class NWGLOBAL;
protected:
	NWDESKTOP( void );
	void _create( void );
	void _release( void );
public:
	PNWGRAPHIC		pTaskBar;
	
	PNWCONSOL		pConsol;
	int				bConsol;
	PNWINFO			pInfo;
	int				bInfo;
	PNWPERFORM		pPerform;
	int				bPerform;
	PNWTEXVIEW		pTexView;
	int				bTexView;
	PNWPERI			pPeri;
	int				bPeri;
	PNWFIBER		pFiber;
	int				bFiber;
	
	PNWDIALOG		pDialog;
	
	NWDESKTOP( PNWCONTROL pRootControl );
	~NWDESKTOP( void );
	
	void ShowSystemForm( int nNo );
	
	int OnClick( PNWPARAM pParam );
};

//-----------------------------------------------------------------------------
#endif
